using System;
using UnityEngine;

public sealed class MessengerHelper : MonoBehaviour
{
	private void Awake()
	{
		UnityEngine.Object.DontDestroyOnLoad(base.gameObject);
	}

	public void OnDisable()
	{
		OVRMessenger.Cleanup();
	}
}
